%define upstream_name    Dist-Zilla-Plugin-LatestPrereqs
%define upstream_version 0.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Adjust prereqs to use latest version available
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN) >= 1.940.200
BuildRequires: perl(CPAN::Meta::Prereqs) >= 2.101.670
BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(Test::More) >= 0.920.0
BuildArch:  noarch

%description
This plugin will filter over all your declared or discovered prerequisites,
contact CPAN, and adjust the version to the latest one available.

This will make sure that your module will be installed with the latest
version available on CPAN at the time you built your package.

The most common use for this techinique is for the Task manpage modules.
You can rebuild your Task module on a regular basis to make sure it has the
latest versions of your dependencies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-2.mga3
+ Revision: 366237
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.400.0-1.mga2
+ Revision: 106858
- update to 0.4

* Wed Jan 26 2011 jquelin <jquelin> 0.300.0-1.mga1
+ Revision: 40451
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-LatestPrereqs

